package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

@Entity
@SequenceGenerator(name = "TARIFA_VENDA_PACOTE_SEQ", sequenceName = "TARIFA_VENDA_PACOTE_SEQ", allocationSize = 1)
@Table(name = "TARIFA_VENDA_PACOTE")
public class TarifaVendaPacote implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@Id
	@Column(name = "TARIFAVENDAPACOTE_ID")
	private Long tarifavendapacoteId;

	@Column(name = "VALOR")
	private BigDecimal valor;
	
	@ManyToOne
	@JoinColumn(name = "VENDAPACOTE_ID")
	private VendaPacote vendaPacote;

	@ManyToOne
	@JoinColumn(name = "PACOTETARIFA_ID")
	private PacoteTarifa pacoteTarifa;
	
	@Column(name = "NOMEPASSAGEIRO")
	private String nomepassageiro;

	@Column(name = "DOCUMENTO")
	private String documento;
	
	@Column(name = "TIPODOC")
	private String tipodoc;
	
	@Column(name = "IDIOMA")
	private String idioma;
	
	@Column(name = "DESCEMAIL")
	private String descemail;
	
	@Column(name = "DESCTELEFONE")
	private String desctelefone;
	
	@Column(name = "NOMCONVENIO")
	private String nomconvenio;

	public Long getTarifavendapacoteId() {
		return tarifavendapacoteId;
	}

	public void setTarifavendapacoteId(Long tarifavendapacoteId) {
		this.tarifavendapacoteId = tarifavendapacoteId;
	}

	public BigDecimal getValor() {
		return valor;
	}

	public void setValor(BigDecimal valor) {
		this.valor = valor;
	}

	public VendaPacote getVendaPacote() {
		return vendaPacote;
	}

	public void setVendaPacote(VendaPacote vendaPacote) {
		this.vendaPacote = vendaPacote;
	}

	public PacoteTarifa getPacoteTarifa() {
		return pacoteTarifa;
	}

	public void setPacoteTarifa(PacoteTarifa pacoteTarifa) {
		this.pacoteTarifa = pacoteTarifa;
	}

	public String getNomepassageiro() {
		return nomepassageiro;
	}

	public void setNomepassageiro(String nomepassageiro) {
		this.nomepassageiro = nomepassageiro;
	}

	public String getDocumento() {
		return documento;
	}

	public void setDocumento(String documento) {
		this.documento = documento;
	}

	public String getTipodoc() {
		return tipodoc;
	}

	public void setTipodoc(String tipodoc) {
		this.tipodoc = tipodoc;
	}

	public String getIdioma() {
		return idioma;
	}

	public void setIdioma(String idioma) {
		this.idioma = idioma;
	}

	public String getDescemail() {
		return descemail;
	}

	public void setDescemail(String descemail) {
		this.descemail = descemail;
	}

	public String getDesctelefone() {
		return desctelefone;
	}

	public void setDesctelefone(String desctelefone) {
		this.desctelefone = desctelefone;
	}

	public String getNomconvenio() {
		return nomconvenio;
	}

	public void setNomconvenio(String nomconvenio) {
		this.nomconvenio = nomconvenio;
	}

}
